Delete user

Deletes a customer and all associated data. <Warning> This operation is irreversible. All usage data and settings for this customer will be permanently deleted. </Warning> ## Authentication <Note> Public API: use an API key. - `Authorization: Bearer YOUR_API_KEY` (public API) </Note> ## Path params - `customer_identifier` *string* **required**: Your unique identifier for this customer. ## Request example ```python Python url = "https://api.respan.ai/api/users/user_123/" headers = {"Authorization": "Bearer YOUR_API_KEY"} resp = requests.delete(url, headers=headers) print(resp.status_code) ``` ```bash cURL curl -X DELETE "https://api.respan.ai/api/users/user_123/" \ -H "Authorization: Bearer YOUR_API_KEY" ``` ## Response Returns `204 No Content` on success. ```text 204 No Content ```

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

customer_identifierstringRequired
Your unique identifier for this customer.

Response

No content

Errors

401
Unauthorized Error